Subject: bug#52354: 27.2; bibtex-sort-buffers fails at least for types @PhdThesis and @TechReport

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 11 Dec 2021 04:16:31 +0100

Dominik Schrempf <[email-masked]> writes:

> I can reproduce this bug using `emacs -Q`:
>
> 1. Start `emacs -Q`.
> 2. Open the attached bibliography file.
> 3. `M-x bibtex-set-dialect RET`; `biblatex RET`.
> 4. `bibtex-sort-buffer`.
>
> I expect the middle entry (@PhdThesis) to move to the bottom but nothing
> happens. The file sorts correctly when the dialect is `BibLateX`, and not
> changed.

Thanks; with that I was able to reproduce the issue, and I've now fixed
it in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no